Bug 147606 - cups-lpd printing multiple copies of jobs (sometimes)
cups-lpd printing multiple copies of jobs (sometimes)
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: cups (Show other bugs)
3.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-09 14:16 EST by Roger Link
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-31 15:52:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cupsd log level debug2 (26.46 KB, application/x-bzip)
2005-02-15 13:19 EST, Roger Link
no flags Details
log/info for cups-lpd ltrace (774 bytes, text/plain)
2005-03-14 10:02 EST, Roger Link
no flags Details

  None (edit)
Description Roger Link 2005-02-09 14:16:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Have problems with cups system printing multiple copies of jobs
submitted via cups-lpd. (we have a W2K server box that prints to cups
via lpd). Multiple print out is sporadic. Created a "dummy" test
parallel port printer, and can demonstrate problem. Can capture logs.
One example printed 20 copies of job. cups/ipp linux printing works
fine. Just cups-lpd has issues. Problem started when we moved from a
Solaris 9 box to a Dell Poweredge with RHEL 3. Problem occurs on local
parallel port printer, or remote HP jetdirect printers.

Problem appears to similar to 138123 & 118707.

Version-Release number of selected component (if applicable):
cups-1.1.17-13.3.24

How reproducible:
Sometimes

Steps to Reproduce:
1. print job from XP box to W2K server to cups-lpd
2. check queues for multiple jobs
3. wait ; repeat ?
    

Actual Results:  Sometime instead of a single job queued, multiple
jobs (20) are queued / printed. Lots of wasted paper.

Expected Results:  System should only print single copy of a queued job.

Additional info:
Comment 1 Roger Link 2005-02-10 16:38:37 EST
After more testing, it doesn't take many tries to cause the multiple
print failure. We are able to capture logs from cupsd. A debug2 log
for the following job 130-149 repeat is 849K! What is need to debug
this???

[admin@somewhere admin]$ lpq -PDummy
Dummy is ready and printing
Rank    Owner   Job     File(s)                         Total Size
active  linkr   129     Fedora Project, sponsored by Red274432 bytes
1st     linkr   130     Fedora Project, sponsored by Red427008 bytes
2nd     linkr   131     Fedora Project, sponsored by Red427008 bytes
3rd     linkr   132     Fedora Project, sponsored by Red427008 bytes
4th     linkr   133     Fedora Project, sponsored by Red427008 bytes
5th     linkr   134     Fedora Project, sponsored by Red427008 bytes
6th     linkr   135     Fedora Project, sponsored by Red427008 bytes
7th     linkr   136     Fedora Project, sponsored by Red427008 bytes
8th     linkr   137     Fedora Project, sponsored by Red427008 bytes
9th     linkr   138     Fedora Project, sponsored by Red427008 bytes
10th    linkr   139     Fedora Project, sponsored by Red427008 bytes
11st    linkr   140     Fedora Project, sponsored by Red427008 bytes
12nd    linkr   141     Fedora Project, sponsored by Red427008 bytes
13rd    linkr   142     Fedora Project, sponsored by Red427008 bytes
14th    linkr   143     Fedora Project, sponsored by Red427008 bytes
15th    linkr   144     Fedora Project, sponsored by Red427008 bytes
16th    linkr   145     Fedora Project, sponsored by Red427008 bytes
17th    linkr   146     Fedora Project, sponsored by Red427008 bytes
18th    linkr   147     Fedora Project, sponsored by Red427008 bytes
19th    linkr   148     Fedora Project, sponsored by Red427008 bytes
20th    linkr   149     Fedora Project, sponsored by Red427008 bytes
[admin@somewhere admin]$ 
Comment 2 Tim Waugh 2005-02-15 05:41:58 EST
Please bzip2 the debug2 log and attach it.  I expect we'll also need TCP traces,
but let's have a look at the log first.
Comment 3 Roger Link 2005-02-15 13:19:29 EST
Created attachment 111097 [details]
cupsd log level debug2

Sanitized cupsd level debug2 of multiple queue problem. Jobs 130 was repeated
19 extra times (jobs 131-149). Should be able to capture traffic between lpd
host & cups machine if needed.
Comment 4 Tim Waugh 2005-03-11 12:15:12 EST
Is it possible to get an ltrace capture of the cups-lpd process during one of
these multiple-print episodes?

I think you'll have to do this:

mv /usr/lib64/cups/daemon/cups-lpd{,.real}
cat >/usr/lib64/cups/daemon/cups-lpd <<EOF
#!/bin/sh
exec ltrace /usr/lib64/cups/daemon/cups-lpd.real 2>/tmp/cups-lpd-log
EOF
touch /tmp/cups-lpd-log
chmod a+w /tmp/cups-lpd-log

Make sure to install the ltrace package.
Comment 5 Roger Link 2005-03-14 10:02:18 EST
Created attachment 111982 [details]
log/info for cups-lpd ltrace
Comment 6 Roger Link 2005-03-14 10:04:11 EST
cups-lpd hangs if run with ltrace as suggested. See above log/info
(111982). cups-lpd will queue jobs if I remove ltrace setup. Not used
to ltrace. Maybe I missed something.
Comment 7 Tim Waugh 2005-03-31 06:10:12 EST
Would you be able to test out an instrumented version of the CUPS package, which
logs more debugging information?
Comment 8 Roger Link 2005-03-31 15:52:24 EST
We reloaded the system last night with ES4 in hopes of fixing this problem. This
is the only ES box we have. Maybe others can debug it. :-(

We are still testing the new system before putting cups back in production.
Comment 9 Tim Waugh 2005-04-04 08:18:00 EDT
If the problem recurs with Red Hat Enterprise Linux 4, please do re-open this
bug report.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.